Skip to main content
POST
/
api
/
onboarding
/
kenya_kyc
/
alien_id
/
Kenya Alien ID
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "alien_id": "<string>"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/"

payload = { "alien_id": "<string>" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({alien_id: '<string>'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Alien ID endpoint validates a Kenya Alien Identification number and returns the associated personal details from the national registry.

Endpoint

POST /api/onboarding/kenya_kyc/alien_id/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
alien_idstringYesThe customer’s Alien Identification number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"alien_id": "1000000"}'

Response

200 OK

FieldTypeDescription
data.validbooleanWhether the ID is valid
data.id_numberstringAlien ID number
data.first_namestringFirst name
data.last_namestringLast name
data.middle_namestringMiddle name
data.date_of_birthstringDate of birth
data.genderstringGender
data.nationalitystringNationality
{
  "status": "success",
  "data": {
    "valid": true,
    "id_number": "1000000",
    "first_name": "JAMES",
    "last_name": "KARIUKI",
    "middle_name": "MWANGI",
    "date_of_birth": "1990-04-15",
    "gender": "Male",
    "nationality": "Ugandan"
  },
  "message": "Alien ID details retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
alien_id
string
required

Alien ID number for non-citizen residents

Response

Alien ID verified